Skip to Content
Mqtt

Get MQTT Credentials

Acesso

Membro da organização com esta permissão:

  • mqtt:write

Uma chave de API com scopes também precisa da permissão nos seus scopes.

POST
/orgs/{organizationId}/mqtt/credentials

Generates JWT credentials for MQTT client connections. Tokens allow publish and subscribe under tillor/{env}/{orgId}/integration/# (or a narrower topic prefix).

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
clientId?string
Length1 <= length <= 128
expiresInSeconds?number
Range60 <= value <= 86400

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//mqtt/credentials' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null